Subject: [Bier] Limited WG Last Call: Re: I-D Action: draft-ietf-bier-mpls-encapsulation-08.txt

From: Tony Przygienda <[email-masked]>
Date: Thu, 14 Sep 2017 11:06:52 +0200

<chair hat>

The required default BML change has been introduced based on IESG reviews
of bier architecture and changes therein, IMO to the better. Since
encapsulation draft is heading towards IESG review as well we start here a
one week last call _on the added paragraph only_ parallel to moving it
towards IESG.

</chair hat>

On Wed, Sep 13, 2017 at 4:54 PM, Eric C Rosen <[email-masked]> wrote:

> This rev specifies 256 as the default BitStringLength for the
> encapsulations defined in the draft, and references Section 3 of the
> architecture draft for the definition of "default BitStringLength".
>
>
>
> On 9/13/2017 10:48 AM, [email-masked] wrote:
>
>> A New Internet-Draft is available from the on-line Internet-Drafts
>> directories.
>> This draft is a work item of the Bit Indexed Explicit Replication WG of
>> the IETF.
>>
>>          Title           : Encapsulation for Bit Index Explicit
>> Replication in MPLS and non-MPLS Networks
>>          Authors         : IJsbrand Wijnands
>>                            Eric C. Rosen
>>                            Andrew Dolganow
>>                            Jeff Tantsura
>>                            Sam K Aldrin
>>                            Israel Meilik
>>         Filename        : draft-ietf-bier-mpls-encapsulation-08.txt
>>         Pages           : 21
>>         Date            : 2017-09-13
>>
>> Abstract:
>>     Bit Index Explicit Replication (BIER) is an architecture that
>>     provides optimal multicast forwarding through a "multicast domain",
>>     without requiring intermediate routers to maintain any per-flow state
>>     or to engage in an explicit tree-building protocol.  When a multicast
>>     data packet enters the domain, the ingress router determines the set
>>     of egress routers to which the packet needs to be sent.  The ingress
>>     router then encapsulates the packet in a BIER header.  The BIER
>>     header contains a bitstring in which each bit represents exactly one
>>     egress router in the domain; to forward the packet to a given set of
>>     egress routers, the bits corresponding to those routers are set in
>>     the BIER header.  The details of the encapsulation depend on the type
>>     of network used to realize the multicast domain.  This document
>>     specifies a BIER encapsulation that can be used in an MPLS network,
>>     or with slight differences, in a non-MPLS network.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-bier-mpls-encapsulation/
>>
>> There are also htmlized versions available at:
>> https://tools.ietf.org/html/draft-ietf-bier-mpls-encapsulation-08
>> https://datatracker.ietf.org/doc/html/draft-ietf-bier-mpls-e
>> ncapsulation-08
>>
>> A diff from the previous version is available at:
>> https://www.ietf.org/rfcdiff?url2=draft-ietf-bier-mpls-encapsulation-08
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>> Internet-Draft directories: http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier
>

---

From: Tony Przygienda <[email-masked]>
Date: Sat, 23 Sep 2017 18:27:25 -0700

BTW, the ISIS/OSPF drafts need re-spin/comment when referring to the
required BML for MPLS from the architecture draft to the encapsulation
draft. For the shepherds ...

--- tony